%define piname	chartdldr_pi

Name:		opencpn-chartdldr-plugin
Summary:	Chart downloader plugin for OpenCpn
Version:	1.2
Release:	%mkrel 12
License:	GPLv2
Group:		Geography
URL:		https://github.com/nohal/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
The chart downloader plugin lets you download, install and keep up to date 
the navigational charts provided by various free governmental sources worldwide
directly from within OpenCPN's Toolbox.
The supported charts include both the raster and vector charts for the
US waters provided by the NOAA,
official raster navigational charts published by Argentina, Brasil and
New Zealand (covering also huge areas of the Pacific ocean)
as well as electronic charts of the inland waterways of the USA
and more than a dozen European Union countries.

%prep
%setup -q -n %{piname}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Fri Jan 01 2021 wally <wally> 1.2-12.mga8
+ Revision: 1667710
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.2-11.mga8
+ Revision: 1614351
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.2-10.mga8
+ Revision: 1539491
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.2-9.mga8
+ Revision: 1459476
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.2-8.mga8
+ Revision: 1421015
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.2-7.mga7
+ Revision: 1299993
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.2-6.mga7
+ Revision: 1239506
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 1.2-5.mga6
+ Revision: 1106109
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2-4.mga6
+ Revision: 1019829
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.2-3.mga6
+ Revision: 962316
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 1.2-2.mga6
+ Revision: 961925
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 1.2-1.mga6
+ Revision: 908767
- new package opencpn-chartdldr-plugin

